package com.icomsys.main_vm.biz.rcp.conversation.vo;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class CallInfoVO {

    private String token;
    private String oprMngCode;
    private String inChannelType;
    private String callId;
    private String telNo;
    private String dnisNo;
    private LocalDateTime callInitDate;
    private LocalDateTime callEndDate;
    private int callTime;
    private String callEndType;

    public CallInfoVO ofCallInfoVO(CallInfoVO vo) {
        CallInfoVO result = new CallInfoVO();

        result.setToken(vo.getToken());
        result.setOprMngCode((vo.getOprMngCode()));
        result.setInChannelType(vo.getInChannelType());
        result.setCallId(vo.getCallId());
        result.setTelNo(vo.getTelNo());
        result.setDnisNo(vo.getDnisNo());
        result.setCallInitDate(vo.getCallInitDate());
        result.setCallEndDate(vo.getCallEndDate());
        result.setCallTime(vo.getCallTime());
        result.setCallEndType(vo.getCallEndType());

        return result;
    }

}
